<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>SQLite Server – HTML Client Test</title>
	<style>
		/* logic */
		/* ===== */

		/* simulation options */
		/* ------------------ */


		/* fieldsets */
		#field_default, #field_text, #field_file{
			display: none;
		}

		#radio_default:checked~#field_default,
		#radio_text_input:checked~#field_text,
		#radio_file:checked~#field_file
		{
			display: block;
		}


		/* loader */

		.loader, .loader p{
			display: none;
		}

		.loader.server,
		.loader.loading{
			display: grid;
		}

		.loader.server #loader_message_server,
		.loader.loading #loader_message_loading{
			display: inline-block;
		}


		/* visualisation */
		/* ------------- */

		#visualisation{
			display: none;
		}

		#visualisation.ready{
			display: block;
		}



		/* controls */
		/* ------------- */

		#controls{
			display: none;
		}

		#controls.ready{
			display: block;
		}


		/* styling */
		/* ======= */

		/* radios */
		input[type="radio"]{
		}

		/* loader */
		/* ------ */

		.loader{
			grid-template-columns: auto 1fr;
			align-items: center;
		}

		.loader:before{
			content: "";
			display: inline-block;
			height: 0.75em;
			width: 0.75em;
			position: relative;
			background: black;
			float: left;
			border-radius: 50%;
			margin-right: 1em;
			animation: loader;
			animation-duration: 0.5s;
			animation-iteration-count: infinite;
			animation-direction: alternate-reverse;
			animation-timing-function: ease-out;
		}
		@keyframes loader{
			from {
				transform: scaleX(0.1);
			}
			to{
				transform: scaleX(1);
			}
		}
	</style>
</head>
<body>
	<header>
		<p>ADCS HIL Framework</p>
		<h1>SQLite Server – HTML Client Test</h1>
	</header>
	<section id="simulation_options">
		<h2>Simulation Options</h2>
		<form>
			<a href="doc.html">Parameter Documentation</a>
			<fieldset>
				<legend>Simulation will be run with following parameter set:</legend>
				<input type="radio" id="radio_default" name="parameters" required>
				<label for="radio_default">default</label><br>
				<input type="radio" id="radio_text_input" name="parameters" required>
				<label for="radio_text_input">text input</label><br>
				<input type="radio" id="radio_file" name="parameters" required>
				<label for="radio_file">file input</label>
			

				<fieldset id="field_default">
					<legend>default parameters</legend>
					<code>
						def protect(dog){<br>
							( dog );<br>
							Arya /= ( ROWS )<br>
						}<br>
						def foo(y){<br>
							Stark /= 550.74<br>
						}<br>
						def protect(Hodor,x,dog){<br>
							if(-TABLE[Jon][Ygritte * -( dog * protect(protect(1,-bar(-460.9) * -mislead(Hodor),( mislead(-( --80 - Jon ) * -dog * -ROWS / Jon * ROWS / -570.4923) )),mislead(( ( 25 * -490.96 + y ) ),rule(37))) )]){<br>
						<br>
						}<br>
						}<br>
						assert -Hodor * ( Hodor + ( Hodor ) ) : "One can not simply parse himself"
					</code>
				</fieldset>
				<fieldset id="field_text">
					<legend>text input</legend>
					<textarea cols="50" rows="10">def TABLE[-12][i] {<br><br>}<br>assert ( ( ROWS ) ) : "Nothing burns like the cold."<br>def TABLE[foo()][j] {<br>	if(destroy(foo(-98,-480.98),-1 <= Hodor)){<br>	-0.91 /\ ( ( ( -( Arya == -31 / COLS ) != COLS ) ) );<br>	0.65;<br>	( dog )<br>}
					</textarea>
				</fieldset>
				<fieldset id="field_file">
					<legend>file input</legend>	
					<input type="file" name="file_input">
				</fieldset>
			</fieldset>
			<p>checking…</p>
			<button type="submit" id="start_button">start simulation</button>
			<div id="loader" class="loader" role="alert" aria-live="assertive">
			    <p id="loader_message_server" class="">waiting for server response…</p>
			    <p id="loader_message_loading" class="">Content is loading…</p>
			</div>

		</form>
	</section>
	<section id="visualisation">
		<h2>Visualisation</h2>

		<img src="https://julialang.org/assets/infra/waves.gif">

	</section>

	<section id="controls">
		<h2>controls</h2>
		<form>
			<button type="button">do A</button>
			<button type="button">do B</button>
			<legend>control input</legend>
			<textarea cols="50" rows="10">def TABLE[-12][i] {<br><br>}<br>assert ( ( ROWS ) ) : "Nothing burns like the cold."<br>def TABLE[foo()][j] {<br>	if(destroy(foo(-98,-480.98),-1 <= Hodor)){<br>	-0.91 /\ ( ( ( -( Arya == -31 / COLS ) != COLS ) ) );<br>	0.65;<br>	( dog )<br>}
			</textarea>
			<button type="submit">submit</button>
		</form>

	</section>

	<!-- Script -->
	<!-- ================================================================== -->
	<script type="text/javascript">
		(function () {

			var startButton = document.getElementById("start_button");
			startButton.addEventListener('click',function (evt) {
				evt.preventDefault();
				this.disabled = true;

				/*dummy behavior*/
				loader.classList.add("server");
				setTimeout(function() {
					loader.classList.remove("server");
					loader.classList.add("loading");
					setTimeout(function() {
						loader.classList.remove("loading");
						visualisation.classList.add("ready")
						controls.classList.add("ready")
					}, 1000);
				}, 1000);
			});


			var loader = document.getElementById("loader");
			var visualisation = document.getElementById("visualisation");
			var controls = document.getElementById("controls");
		})()
	</script>
</body>
</html>